Google Gadget – ピンポイント天気予報 エラー: ‘gadgets’ は宣言されていません

未だに6月末~7月末の変更で発生した不具合が修正されないようなので、暫定的な措置として、syndication向けにdynamic-heightを使用しない版のファイルを用意しました。WEBに貼り付けて使用する場合に「エラー: 'gadgets' は宣言されていません。」が出る事を回避したい場合はこちらのURLを指定して下さい。
  http://tmyymmt.mine.nu/gg/PinpointWeatherJapan-nodh.xml
  creator page (9月21日現在、Googleさんの不具合でサンプルは表示されません。ただし、生成したコードは問題なく機能します。)

ただし、これは一時的な措置であり、この不具合が修正された場合はこのファイルは削除する予定です。その際は事前にブログにてお知らせしますので、RSS等を購読してください。ちなみに、ブログの右のタグを押した後に購読すればそのタグが付いた記事のみ通知されます。

以下、ガジェット制作者向けの不具合情報です。サンプル http://tmyymmt.mine.nu/gg/bug/

・を使用したGadgetを、syndicationを
  使用したWEB上で見た場合、IE6,IE7,IE8ではエラーが表示され、正しく動作
  しない。エラーメッセージは「エラー: 'gadgets' は宣言されていません」
  Firefox3.5、Safari4、Chrome3.5では問題なし。

・1つのWEBページに、dynamic-heightを使用した複数のGadgetを、syndication
  で貼り付けた場合、個々のガジェットのサイズ調整が上手くされない。

・dynamic-heightを使用し、最上位要素をなGadgetを、WebKit
  を使用しているChrome3.5とSafari4で見た場合、高さが0になる。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です